
QGIS Application - Bug report #12762

Map polluted by circles ?!

2015-05-18 01:09 AM - Sandro Santilli

Status: Closed

Priority: Normal

Assignee: Nyall Dawson

Category: Symbology

Affected QGIS version:2.8.2 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 20861

Description

This is a pretty weird bug I'm facing.

My map contains circles that move around whenever I zoom.

The circles seem to be associated to the features on the map as if it was a decoration.

The point layer has these circles drawn somewhere on the bottom-right so that the requested marker (simple marker) falls outside of the

circle.

The line layer (a single line) has a single circle drawn, centered near the centroid (but sometimes more on a side).

The circle size is independent from map zoom.

The same behavior happens with 2.8.2 and with master.

I'm attaching a short screencast taken with master

Related issues:

Related to QGIS Application - Bug report # 12618: 2.8.1 circles which don't s... Closed 2015-04-21

History

#1 - 2015-05-18 01:24 AM - Sandro Santilli

- File issue12762.qgs added

#2 - 2015-05-18 03:47 AM - Nyall Dawson

- Status changed from Open to Closed

- Resolution set to wontfix

This happens if you save a project in master and then open in 2.8. You can fix it by turning off diagrams for the layer in 2.8. Otherwise it's just due to a

change in the project file format required to allow switching off diagrams without losing their settings.

#3 - 2015-05-18 04:28 AM - Sandro Santilli

But I never enabled diagrams in any of the two versions, how did they get enabled ?

#4 - 2015-07-13 03:01 AM - Sandro Santilli

- Status changed from Closed to Reopened

- Resolution deleted (wontfix)

- Assignee set to Nyall Dawson
Was this actually fixed by Nyall via this commit:c449b95dcb4c37fbc687b4286c68d59758c28be3 ?

Re-opening for confirmation (was previously closed as "wont-fix")

#5 - 2015-07-13 03:10 AM - Nyall Dawson

- Status changed from Reopened to Closed

Should be fixed now - can you reopen if you still see this after that commit?

#6 - 2015-07-13 03:36 AM - Sandro Santilli

Seems to be fine now. Could you please set TargetVersion to the earliest version this was fixed in ?

It sounds like it would be 2.8.3, right ?

Giovanni: there's no 2.8.3 yet in the TargetVersion list, could you add it ?

Files

circles.ogv 639 KB 2015-05-17 Sandro Santilli

issue12762.qgs 22.3 KB 2015-05-17 Sandro Santilli
